Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.tools
Interface IdeToolConstants

All Known Subinterfaces:
  IdeTool

public interface IdeToolConstants

Interface `IdeToolConstants` contains the constants that define properties of a tool.

Author:
  TogetherSoft

Field Summary
`final static String` | `ALL_MESSAGES` Defines if all messages should be displayed.
`final static String` | `COMMAND` Defines command that this tool executes.
`final static String` | `LANGUAGE` Defines the target language.
`final static String` | `MINIMIZED` Defines whether the tool should be minimazed after run.
`final static String` | `OPEN_MESSAGE` Defines if a message window is opened after execution.
`final static String` | `PARAMETERS` Defines parameters for this command.
`final static String` | `PROMPT` Defines whether to show prompt dialog with the command text prior to run this command.
`final static String` | `TITLE` Defines the tool name that will be displayed.
`final static String` | `UPDATE` Defines whether synchronization with external changes will be performed after execution.

Field Detail

### ALL_MESSAGES

    public final static String ALL_MESSAGES

  Defines if all messages should be displayed. Same as setting `MODE_ALL_MESSAGES` flag on teh tool`s filter. Possible values are 1/0.

### COMMAND

    public final static String COMMAND

  Defines command that this tool executes.

### LANGUAGE

    public final static String LANGUAGE

  Defines the target language. Associating a tool with specific language requires a project to be opened, and works if the LANGUAGE project is open only. Language constants are taken from SciLanguage.
  See Also:
    SciLanguage

### MINIMIZED

    public final static String MINIMIZED

  Defines whether the tool should be minimazed after run. Can be true/false.

### OPEN_MESSAGE

    public final static String OPEN_MESSAGE

  Defines if a message window is opened after execution. Can be true/false.

### PARAMETERS

    public final static String PARAMETERS

  Defines parameters for this command.

### PROMPT

    public final static String PROMPT

  Defines whether to show prompt dialog with the command text prior to run this command. Can be true/false.

### TITLE

    public final static String TITLE

  Defines the tool name that will be displayed.

### UPDATE

    public final static String UPDATE

  Defines whether synchronization with external changes will be performed after execution. Possible values are true/false.

Association Links

to Class java.lang.String

  Defines the tool name that will be displayed.

to Class java.lang.String

  Defines command that this tool executes.

to Class java.lang.String

  Defines parameters for this command.

to Class java.lang.String

  Defines whether synchronization with external changes will be performed after execution. Possible values are true/false.

to Class java.lang.String

  Defines if a message window is opened after execution. Can be true/false.

to Class java.lang.String

  Defines if all messages should be displayed. Same as setting `MODE_ALL_MESSAGES` flag on teh tool`s filter. Possible values are 1/0.

to Class java.lang.String

  Defines whether to show prompt dialog with the command text prior to run this command. Can be true/false.

to Class java.lang.String

  Defines whether the tool should be minimazed after run. Can be true/false.

to Class java.lang.String

  Defines the target language. Associating a tool with specific language requires a project to be opened, and works if the LANGUAGE project is open only. Language constants are taken from {@link com.togethersoft.openapi.sci.SciLanguage SciLanguage}.

  see com.togethersoft.openapi.sci.SciLanguage

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD